[postgis-tickets] [SCM] PostGIS branch master updated. de73de55c72f64332b5051bcc71d573cce3ec91a

git at osgeo.org git at osgeo.org
Thu Dec 19 02:06:20 PST 2019


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".

The branch, master has been updated
       via  de73de55c72f64332b5051bcc71d573cce3ec91a (commit)
       via  1a8e0d477e586e30f258b210994d1e73aad4db52 (commit)
      from  6e7577ad611fa6923afbd6a1846a0c4dfd3f553a (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit de73de55c72f64332b5051bcc71d573cce3ec91a
Author: Sandro Santilli <strk at kbt.io>
Date:   Thu Dec 19 11:05:39 2019 +0100

    Check ticket reference in reverse numeric order (most recent first)

diff --git a/utils/check_news.sh b/utils/check_news.sh
index b30ddf4..a027354 100755
--- a/utils/check_news.sh
+++ b/utils/check_news.sh
@@ -63,9 +63,10 @@ if test "${TICKET_REFS}" = "yes"; then
   if which git > /dev/null && test -e .git; then
     git log --grep '#[0-9]\+' |
       grep -i ' #[0-9]\+' |
-      sed -En 's|#([0-9]+)|\a#\1\n|;/\n/!b;s|.*\a||;P;D' |
-      sort -u |
+      sed -En 's|#([0-9]+)|\a\1\n|;/\n/!b;s|.*\a||;P;D' |
+      sort -nru |
     while read ref; do
+      ref="#${ref}"
       if ! grep -qw "${ref}" NEWS; then
         echo "FAIL: Reference to commit-logged ticket ref ${ref} missing from NEWS" >&2
         exit 1

commit 1a8e0d477e586e30f258b210994d1e73aad4db52
Author: Sandro Santilli <strk at kbt.io>
Date:   Thu Dec 19 10:59:33 2019 +0100

    Fix check for ticket references

diff --git a/utils/check_news.sh b/utils/check_news.sh
index 3a15bd7..b30ddf4 100755
--- a/utils/check_news.sh
+++ b/utils/check_news.sh
@@ -49,7 +49,7 @@ grep -B1 '^[0-9]\{4\}/[0-9]\{2\}/[0-9]\{2\}' NEWS |
       exit 1
     fi
     if test "${VERBOSE}" = yes; then
-      echo "${rel} (${date}) before ${prel} (${pdate})"
+      echo "INFO: ${rel} (${date}) before ${prel} (${pdate})"
     fi
     pts=${ts}
     prel=${rel}
@@ -66,9 +66,13 @@ if test "${TICKET_REFS}" = "yes"; then
       sed -En 's|#([0-9]+)|\a#\1\n|;/\n/!b;s|.*\a||;P;D' |
       sort -u |
     while read ref; do
-      if ! grep -qw '${ref}' NEWS; then
+      if ! grep -qw "${ref}" NEWS; then
         echo "FAIL: Reference to commit-logged ticket ref ${ref} missing from NEWS" >&2
         exit 1
+      else
+        if test "${VERBOSE}" = yes; then
+          echo "INFO: Reference to commit-logged ticket ref ${ref} found in NEWS"
+        fi
       fi
     done
     test $? = 0 || exit 1

-----------------------------------------------------------------------

Summary of changes:
 utils/check_news.sh | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)


hooks/post-receive
-- 
PostGIS


More information about the postgis-tickets mailing list